Summary: 	Simple script to turn off screen blanking on KDE
Name: 		kde4-noblank
Version: 	1.0
Release: 	%mkrel 2
License: 	GPL
Group:		Graphical desktop/KDE4
Source:         %{name}-%{version}.tar.xz
URL: 		http://pclinuxos.com
Obsoletes:      %{name} < %version
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch


%description
This package adds a noblank.sh script to the kde autostart
fokder to keep the monitor from blanking out. This package is 
provided due to user request. 

%prep

%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

install -Dm 0755 noblank.sh $RPM_BUILD_ROOT/%_bindir/noblank.sh
install -Dm 0644 kde4-noblank.desktop $RPM_BUILD_ROOT/%_datadir/autostart/kde4-noblank.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/noblank.sh
%_datadir/autostart/kde4-noblank.desktop

%post
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/.kde4/Autostart/noblank.sh*; done

if [ -f /etc/skel/.kde4/Autostart/noblank.sh ]; then
rm -rf /etc/skel/.kde4/Autostart/noblank.sh
fi


%changelog
* Mon Jun 13 2011 Texstar <texstar at gmail.com> 1.0-2pclos2011
- remove noblank.sh from .kde4 folder

* Mon Jun 13 2011 Texstar <texstar at gmail.com> 1.0-1pclos2011
- create package

